from typing import Union, Any, Dict

from csp_cbc_auth.cbc.session import CBCSession
from psc_auth_integration.entities.auth_user_session import AuthUserSession

from cbc_content_reporting.api_clients.base_api_class import ReportingBaseClass


class BandwidthReportingV1Api(ReportingBaseClass):
    """
    Bandwidth Reporting V1 API wrapper
    """

    def __init__(self, session: Union[AuthUserSession, CBCSession]):
        super().__init__(session)
        self.reporting_v1_url = f'{self.reporting_base_url}/v1/orgs'

    def search(self, org_key: str, search_data: Dict[str, Any]):
        url = f'{self.reporting_v1_url}/{org_key}/bandwidth_consumed/_search'
        response = self.post(url, json=search_data)
        return response
