import logging
import os
import sys


def configure_logging(name=None, log_level=logging.INFO) -> logging.Logger:
    if not name:
        name = __name__
    log = logging.getLogger(name)

    log_level = os.environ.get('LOG_LEVEL') or log_level
    log.setLevel(log_level)

    stdout_handler = logging.StreamHandler(sys.stdout)
    stdout_handler.setLevel(log_level)
    formatter = logging.Formatter('%(asctime)s %(module)s:%(funcName)s:%(lineno)s %(levelname)s: %(message)s',
                                  '%m-%d-%Y %H:%M:%S')
    stdout_handler.setFormatter(formatter)

    log.addHandler(stdout_handler)

    return log
