import tenacity


def retry_request(request, wait_fixed: int = 5, stop_after_attempt: int = 12, **request_kwargs,):

    @tenacity.retry(wait=tenacity.wait_fixed(wait_fixed), stop=tenacity.stop_after_attempt(stop_after_attempt),
                    reraise=True)
    def make_request():
        response = request(**request_kwargs)
        response.raise_for_status()
        return response

    return make_request()
